P4_RECURSE(3)

NAME
p4_recurse - RECURSE ( ? -- ? ) [ANS]

SYNOPSIS

#include <pfe/core-ext.h>

FCode p4_recurse(---);

DESCRIPTION

when creating a colon word the name of the currently-created word is smudged, so that you can redefine a previous word of the same name simply by using its name. Sometimes however one wants to recurse into the current definition instead of calling the older defintion. The RECURSE word does it exactly this.

        traditionally the following code had been in use:
        : GREAT-WORD [ UNSMUDGE ] DUP . 1- ?DUP IF GREAT-WORD THEN ;
        now use
        : GREAT-WORD DUP . 1- ?DUP IF RECURSE THEN ;

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc. 1998 - 2001. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>